Bug 491289 - When deleting a email, the function of Undo/Redo does not work for imap folders
When deleting a email, the function of Undo/Redo does not work for imap folders
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: thunderbird (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 05:05 EDT by Cao, Chen
Modified: 2009-04-07 10:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 10:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cao, Chen 2009-03-20 05:05:22 EDT
Description of problem:
When delete a email, the function of Undo/Redo does not work for imap folders.

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.21-1.el5.i386


How reproducible: 
100% reproducible


Steps to Reproduce:
1. create a imap account in thunderbird, refer Additional info for the details of the mail account used to reproduce the issue.
2. ge some other account to send mails to this account, and select a message by click on it
3. go to Edit->Delete Message
4. go to Edit->Undo Delete Message
5. go to Edit->Redo Delete Message


Actual results:
the mails can be delete by step 3, but the deletion cannot undo/redo.

Expected results:
After step 4, the deleted message will be moved back into the folder from trash.
after step 5, the message has been moved into Trash again


Additional info:
1.
account used to setting thunderbird:
name: fedorathunderb@gmail.com
password: redhatqa
2.
google server info:
imap.gmail.com (security: ssl)
smtp.gmail.com:587
3.
locale en_US.utf-8 and zh_CN.utf-8
Comment 1 Matěj Cepl 2009-04-06 19:29:14 EDT
How do you set up deleting emails (marking as deleted, move to trash, delete immediately)?
Comment 2 Cao, Chen 2009-04-06 21:39:55 EDT
"move it to trash folder".

besides, 
1.
if I select "All Mail", and choose a mail to delete, it does disappear from the "All Mail" folder. 
2.
then I click on "Starred" folder and click "Spam", and then click on "All Mail" folder again, the deleted mail appears in "All Mail" again.

Note You need to log in before you can comment on or make changes to this bug.